# RUN: yaml2obj %s | obj2yaml | FileCheck %s
--- !WASM
FileHeader:
  Version:         0x00000001
Sections:
  - Type:            TYPE
    Signatures:
      - Index:           0
        ParamTypes:
          - I32
        ReturnTypes:
          - I32
  - Type:            IMPORT
    Imports:
      - Module:          foo
        Field:           imported_memory
        Kind:            MEMORY
        Memory:
          Flags:           [ HAS_MAX, IS_SHARED ]
          Minimum:         0x00000010
          Maximum:         0x00000011

...
# CHECK: --- !WASM
# CHECK: FileHeader:
# CHECK:   Version:           0x1
# CHECK: Sections:
# CHECK:   - Type:            IMPORT
# CHECK:     Imports:
# CHECK:       - Module:          foo
# CHECK:         Field:           imported_memory
# CHECK:         Kind:            MEMORY
# CHECK:         Memory:
# CHECK:           Flags:           [ HAS_MAX, IS_SHARED ]
# CHECK:           Minimum:         0x10
# CHECK:           Maximum:         0x11
# CHECK: ...
